/*//////////////////////////////////////////////////////////////////
[ general ]*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.title {
    display: inline-block;
    position: absolute;
    top: 0;
}


/*//////////////////////////////////////////////////////////////////
[ background imgs ]*/

@keyframes fade {
    0% {
        opacity: 1;
    }

    33% {
        opacity: 0;
    }

    67% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.slideimg {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    animation: fade 9s ease-in-out infinite alternate;
}

img:nth-last-of-type(2) {
    animation-delay: 6s;
}

img:nth-of-type(3) {
    animation-delay: 3s;
}

img:nth-of-type(4) {
    animation-delay: 0s;
}

.container {
    height:  100vh;
    width: 100vw;
    position: relative;
}

.overlay {
    background-color: rgba(0, 0, 0, 0.25);
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10;
}


/*//////////////////////////////////////////////////////////////////
[ dropdown menu ]*/

.menu {
    margin-top: 25px;
    margin-left: 25px;
    display: inline-block;
    cursor: pointer;
}
.bar1, .bar2, .bar3 {
    width: 70px;
    height: 10px;
    background-color: #ffffff;
    margin: 6px 0;
    transition: 0.4s;
    border-radius: 25px;
}
  
.change .bar1 {
    transform: translate(0, 15px) rotate(-45deg);
    background-color: orange;
}
  
.change .bar2 {opacity: 0;}
  
.change .bar3 {
    transform: translate(0, -15px) rotate(45deg);
    background-color: orange;
}

.MenuButton{
    border: 2px solid rgb(44, 44, 44);
    border-radius: 12px;
    padding: 8px 8px;
    font-family: rockwell;
    transition: all 0.1s;
}

/* Press Effect*/
.MenuButton:active {
    background-color: #bfc5c5;
    transform: translateY(4px);
}

.dropdown {
    display: none;
    opacity: 0;
    position: absolute;
    background-color: orange;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(245, 245, 245, 0.2);
    z-index: 1;
    border-radius: .25rem;
    transition: opacity 300ms ease-in-out;
}

.dropdown a {
    color: white;
    border: solid white;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    border-radius: .25rem;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.1);
}

.change .dropdown {opacity: 1; display: block;} 






/* Add styles to the form container */
.form-container {
    max-width: 300px;
    padding: 10px;
    background-color: white;
  }

/* Full-width input fields */
  .form-container input[type=text], .form-container input[type=password] {
    width: 100%;
    padding: 15px;
    margin: 5px 0 22px 0;
    border: none;
    background: #f1f1f1;
  }

/* When the inputs get focus, do something */
  .form-container input[type=text]:focus, .form-container input[type=password]:focus {
    background-color: #ddd;
    outline: none;
  }

/* Set a style for the submit/login button */
  .form-container .btn {
    background-color: #4CAF50;
    color: white;
    padding: 16px 20px;
    border: none;
    cursor: pointer;
    width: 100%;
    margin-bottom:10px;
    opacity: 0.8;
  }

/* Add a red background color to the cancel button */
  .form-container .cancel {
    background-color: red;
  }

/* Add some hover effects to buttons */
  .form-container .btn:hover, .open-button:hover {
    opacity: 1;
  }

  /* The popup form - hidden by default */
  .form-popup {
    display: none;
    position: fixed;
    top: 10%;
    left: 15px;
    border: 3px solid #f1f1f1;
    z-index: 9;
  }